%global modulename npm-audit-report

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-npm-audit-report
Version:        1.3.1
Release:        1%{?dist}
Summary:        Given a response from the npm security api, render it into a variety of security reports

License:        ISC
URL:            https://github.com/npm/npm-audit-report#readme
Source0:        https://registry.npmjs.org/npm-audit-report/-/npm-audit-report-1.3.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(cli-table3) >= 0.5.0 with npmlib(cli-table3) < 0.6.0))
BuildRequires:  ((npmlib(console-control-strings) >= 1.1.0 with npmlib(console-control-strings) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Given a response from the npm security api, render it into a variety of security reports

%package 1.3.1
Summary:        Given a response from the npm security api, render it into a variety of security reports


%description 1.3.1
Given a response from the npm security api, render it into a variety of security reports

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr reporters %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.3.1
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.3.1-1
- Package automatically generated by npm2srpm
